# $Revision: 1.9 $, $Date: 2004/04/26 18:48:55 $
Summary:	plays Atari XL/XE tune files (files with .sap - Slight Atari Player extension)
Summary(pl):	program do odtwarzania melodii z Atari XL/XE (pliki z roszerzeniem .sap - Slight Atari Player)
Name:		sapplay
Version:	0.2
Release:	4
License:	Freeware
Group:		Applications/Sound
Source0:	http://kunik.republika.pl/sap/dl/%{name}-%{version}.tar.gz
# Source0-md5:	ac62ed3234abb79aa3f96f93fefe0c89
URL:		http://kunik.republika.pl/sap/
BuildRequires:	libsap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sapplay is a console based player for Atari XL/XE tune files (with
.sap extension - Slight Atari Player). Sapplay uses libsap (which is a
software emulation of CPU 6502 microporcessor and Pokey chip - two
chips that are used in Atari XL/XE). Libsap runs programs written in
6502 machine language, programs that use Pokey chip to play tunes and
sounds. Libsap files are included in this package.

For tunes and more information about 8-bit Atari music, visit
http://asma.dspaudio.com/.

%description -l pl
Sapplay jest konsolowym odtwarzaczem muzyczek z Atari XL/XE (pliki z
roszerzeniem .sap - Slight Atari Player). Sapplay uywa biblioteki
libsap (ktra umoliwia programow emulacj mikroprocesora 6502 oraz
chipsetu Pokey - ukadw uywanych w komputerach Atari XL/XE). Libsap
umoliwia uruchomienie kodu maszynowego Atari XL/XE ktry uywa uywa
ukadu Pokey do odtwarzania dwiku i muzyki. Pliki biblioteki libsap
s zaczone w tym pakiecie.

Wicej informacji o muzyce z 8-bitowego Atari oraz utwory w formacie
.sap znajduj si pod adresem http://asma.dspaudio.com.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" OPTS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install sapplay $RPM_BUILD_ROOT%{_bindir}
install sapplay.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sapplay
%{_mandir}/man1/sapplay.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sapplay.spec,v $
Revision 1.9  2004/04/26 18:48:55  adamg
- relase 4 for Ac (3 is for Ra)

Revision 1.8  2003/09/29 23:27:46  ankry
- removed bogus -q from %prep

Revision 1.7  2003/05/28 13:01:44  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:26:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/04/25 16:41:38  arturs
fixed a small typo

Revision 1.4  2002/03/27 11:18:32  roman
s/freeware/Freeware in License

Revision 1.3  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/05 22:28:14  qboosh
- release 3: use shared libsap

Revision 1.1  2002/02/03 11:03:06  qboosh
- new: SAP music files (from Atari XL/XE) player
- based on spec from tarball and sapplay-lsap.spec
